import React from "react";
import { Link } from "gatsby";
import { StaticImage } from "gatsby-plugin-image";

// import logo from "../images/logo-egeo.png";

interface Props {
  to?: string;
  className?: string;
  classImg?:string;
  src?: string;
  title?: string;
  image: string
}

const Logo = (props: Props) => {
  const { to, className, title, image, classImg } = props;

  return (
    <>
    <div className={`flex justify-center flex-col items-center ${className}`}>
      <Link to={to} className="">
        <img 
          src={image}
          alt="Logo"
          // height={40}
          className={classImg}
        />
      </Link>
      <div className="text-xs">{title}</div>
    </div>
    </>
  );
};

export default Logo;
